> For the complete documentation index, see [llms.txt](https://docs.okokscripts.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.okokscripts.io/scripts/okokmarketplace.md).

# okokMarketplace

[**YouTube Video**](https://www.youtube.com/watch?v=IGhbMxmgESo)

## Installation Guide

#### Execute the following SQL code in your database:

```sql
CREATE TABLE `okokmarketplace_vehicles`  (
    `id` int(255) NOT NULL AUTO_INCREMENT,
    `item_id` varchar(255) NOT NULL,
    `plate` varchar(255) NOT NULL,
    `label` varchar(255) NOT NULL,
    `author_identifier` varchar(255) NOT NULL,
    `author_name` varchar(255) NULL DEFAULT NULL,
    `phone_number` varchar(255) NULL DEFAULT NULL,
    `description` varchar(255) NULL DEFAULT NULL,
    `price` varchar(255) NOT NULL,
    `sold` tinyint(1) NOT NULL DEFAULT 0,
    `start_date` varchar(255) NOT NULL,
    PRIMARY KEY (`id`)
);

CREATE TABLE `okokmarketplace_items`  (
    `id` int(255) NOT NULL AUTO_INCREMENT,
    `item_id` varchar(255) NOT NULL,
    `label` varchar(255) NOT NULL,
    `amount` varchar(255) NULL DEFAULT NULL,
    `author_identifier` varchar(255) NOT NULL,
    `author_name` varchar(255) NULL DEFAULT NULL,
    `phone_number` varchar(255) NULL DEFAULT NULL,
    `description` varchar(255) NULL DEFAULT NULL,
    `price` varchar(255) NOT NULL,
    `sold` tinyint(1) NOT NULL DEFAULT 0,
    `start_date` varchar(255) NOT NULL,
    PRIMARY KEY (`id`)
);

CREATE TABLE `okokmarketplace_blackmarket`  (
    `id` int(255) NOT NULL AUTO_INCREMENT,
    `item_id` varchar(255) NOT NULL,
    `label` varchar(255) NOT NULL,
    `type` varchar(255) NOT NULL,
    `amount` varchar(255) NOT NULL,
    `author_identifier` varchar(255) NOT NULL,
    `author_name` varchar(255) NULL DEFAULT NULL,
    `phone_number` varchar(255) NULL DEFAULT NULL,
    `description` varchar(255) NULL DEFAULT NULL,
    `price` varchar(255) NOT NULL,
    `sold` tinyint(1) NOT NULL DEFAULT 0,
    `start_date` varchar(255) NOT NULL,
    PRIMARY KEY (`id`)
);
```

### Adding images to the items/vehicles

To add items and vehicle images simply drop them in **okokMarketplace/web/icons**.

* The images should be in the **PNG** format;
* Items: the image name should be the same as the item ID, if the item ID is "**bread**", then the image should be "**bread.png**";
* Vehicles: the image name should be the **\<gameName>** of the vehicle (you can find the \<gameName> in the **vehicles.meta** file of each vehicle), examples:
  * If the vehicle \<gameName> is **DS3**, then the image should be "**DS3.png**";
  * If the vehicle \<gameName> is **La Voiture**, then the image should be "**LaVoiture.png**".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokmarketplace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
